Bug 435402 - Auto-detect existing /home partitions
Auto-detect existing /home partitions
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
Reported: 2008-02-28 21:34 EST by Bastien Nocera
Modified: 2010-08-17 17:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-08-17 17:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-02-28 21:34:50 EST
This was mentioned on Ubuntu's Brainstorm:

But it fits my usage pretty well.

When installing new Fedoras on my machines, I keep a separate /home partition
for my personal data. I've usually completely broken what's in /usr at that
point, and upgrades with third-party repositories is usually a pain. So I do a
new installation (from CD/DVD/Network in the past, from a live USB key nowadays)
while keeping my /home intact.

I then make sure my only user on the machine has the same ID as it had before
the installation, so permissions are correct.

Anaconda is already able to detect existing installations. It could check my old
passwd file for details about my "real" users, and re-create those users in the
new installation (or at least keep the information around for firstboot to
handle it), so that my /home directory and users are preserved.
Comment 1 Ignacio Vazquez-Abrams 2008-02-29 00:07:36 EST
How about handling auth mechanisms other than passwd/shadow (specifically LDAP
in my case)?
Comment 2 Jeremy Katz 2008-03-02 12:42:25 EST
Accepting patches ;-)

But more seriously, this is something we've thought about from time to time, but
we tend to tie it together with also defaulting to creating a /home on new
installs.  The tricky part is always how to do the split as far as size is

I'll stick it on the F10 list because we really should get around to finally
doing this.
Comment 3 Bug Zapper 2008-05-14 01:41:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Bug Zapper 2009-06-09 19:39:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Chris Lumens 2010-03-16 13:33:49 EDT
We're not going to get around to doing this any time soon, but if you'd like to propose a patch then I will consider it for F14.
Comment 7 Bastien Nocera 2010-03-16 14:02:52 EDT
Given that it's an RFE, and it makes sense, I'm reopening this.

Feel free to close this again if you actually think it's a very very bad idea and never want to implement it.
Comment 8 Andy Lindeberg 2010-08-17 17:04:37 EDT
It's not that this is a bad idea, or that we don't want to implement it. It's just that it's probably not going to happen.

Like Jeremy said, it's all about the issue of size-determination. Even assuming it works as we want it to - and this is an area that will be incredibly prone to bugs - there's going to be somebody unhappy. If we use the size of the existing /home partition, we're going to get RFEs asking for the ability to change the size of the allocated space, and if we allow the user to input a size, we're going to get RFEs asking for anaconda to just use the existing size.

And that's ignoring what happens when there's a bug, because there will be a bug. Or twenty. No matter how much testing is done, there's always going to be users with weird, unusual setups and anaconda will invariably mess up and lose all of their vitally important data, because anaconda always loses any vitally important data. It's a law or something. So long as we explicitly don't support something, people will take steps to protect their data. But if we start saying we do support it, even if we caveat that with "BRING YOUR BUGSPRAY!", vigilance is thrown by the wayside.

We will review any patches for this, if you feel strongly enough about the issue to write one.

Note You need to log in before you can comment on or make changes to this bug.